celestia (1.7.0~git20250103+f2fb5a2-1) UNRELEASED; urgency=medium

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Sat, 04 Jan 2025 05:22:16 +0000

celestia (1.7.0~git20190807+d9746691+0) UNRELEASED; urgency=medium

  * New snapshot build

 -- Hleb Valoshka <375gnu@gmail.com>  Wed, 07 Aug 2019 18:47:48 +0300

celestia (1.6.1+dfsg-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix mips64(el) build: don't use mips as variable name (Closes: 754266).

 -- YunQiang Su <syq@debian.org>  Thu, 16 Oct 2014 18:21:52 +0800

celestia (1.6.1+dfsg-3) unstable; urgency=low

  [ Julian Taylor ]
  * Fix FTBFS with ld --no-add-needed and --as-needed. Closes: #704538, #713604

  [ Guus Sliepen ]
  * Use the autotools-dev dh addon to update config.guess/config.sub for
    arm64. Closes: #727845
  * Bump Standards-Version.
  * Add -Wl,--as-needed back.

 -- Guus Sliepen <guus@debian.org>  Sun, 27 Oct 2013 22:54:15 +0100

celestia (1.6.1+dfsg-2) unstable; urgency=low

  * Build-Depend on libpng-dev instead of libpng12-dev. Closes: #662285
  * Add missing #include "mathlib.h" to fix FTBFS with gcc-4.7. Closes: #672081
  * Enable locales as early as possible in the GNOME frontend. Unfortunately
    does not seem to close #668234.
  * Use dpkg-buildflags, Build-Depend on dpkg-dev.
  * Bump Standards-Version.

 -- Guus Sliepen <guus@debian.org>  Sat, 19 May 2012 21:49:43 +0200

celestia (1.6.1+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Remove patches that have been applied upstream.
  * Build-Depend on libjpeg-dev instead of libjpeg62-dev. Closes: #641096
  * Add patch from Nobuhiro Iwamatsu fixing FTBFS with libpng 1.5.
    Closes: #649551
  * Remove -Wl,--as-needed from the linker flags to ensure it compiles.

 -- Guus Sliepen <guus@debian.org>  Sat, 24 Dec 2011 14:31:06 +0100

celestia (1.6.0+dfsg-4) unstable; urgency=low

  * Add missing Build-Dependencies on libjpeg62-dev and libpng12-dev.

 -- Guus Sliepen <guus@debian.org>  Sat, 21 May 2011 21:35:45 +0200

celestia (1.6.0+dfsg-3) unstable; urgency=low

  * Remove Build-Dependency on libqt3-mt-dev.
  * Bump Standards-Version. 
  * Make dereferenced temporaries slightly less temporary. Closes: #625014
  * Add Belarusian translation. Closes: #602429

 -- Guus Sliepen <guus@debian.org>  Sat, 21 May 2011 20:20:22 +0200

celestia (1.6.0+dfsg-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove KDE frontend support, thus removing dependency on kde4libs-dev.
    (Closes: #604263, #516238, #527923, #567789, #498941, #604903).
  * Remove KDE 3 related files, as we don't use it anymore:
    - debian/celestia-kde.1
    - debian/celestia-kde.README.Debian
    - debian/celestia-kde.docs
    - debian/celestia-kde.manpages
    - debian/celestia-kde.menu
    - debian/celestia-kde.postinst
    - debian/celiestia-kde.prerm
  * Remove celestia-kde:
    - Remove binary package.
    - Remove celestia-kde from celestia's depends, keeping the order of
      preferences of the rest of the packages.
    - Remove KDE front-end from celestia-glut's description.

  * Modify debian/rules to not build celestia-kde:
    - Remove build-kde from BUILDDIRS.
    - Remove KDE-related commands.

  * Fix build with GCC 4.5 using fix-build-with-gcc-4.5.patch, thanks 
    to Peter Green (Closes: #564970).

  * Add missing -ldl to link against libdl. This is done with 
    add_missing_ldl.patch.

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Tue, 29 Mar 2011 09:55:40 -0300

celestia (1.6.0+dfsg-2) unstable; urgency=low

  * Apply patch from Alessio Tregliam dropping aRTs support. Closes: #563664
  * Apply patch from Alessio Tregliam fixing the celestia-glut desktop file.
    Closes: #563665
  * Apply patch from Emilio Pozuelo Monfort removing unnecessary
    Build-Dependency on libgnomeuimm-2.6-dev. Closes: #568803
  * Add Norwegian Bokmål translation from Bjørn Steensrud.
    Closes: #572041, #570619
  * Bump Standards-Version.

 -- Guus Sliepen <guus@debian.org>  Mon, 02 Aug 2010 21:50:50 +0200

celestia (1.6.0+dfsg-1) unstable; urgency=low

  * New upstream release. Closes: #560753
  * Adopt 3.0 (quilt) source format.
  * Bump Standards-Version.
  * Use dh_prep instead of dh_clean -k.
  * Copy config.{sub,guess} from autotools-dev before configuring.
  * Add missing dependencies on ${misc:Depends}.
  * Remove call to dh_desktop.
  * Mangle version in watch file.

 -- Guus Sliepen <guus@debian.org>  Sun, 20 Dec 2009 12:50:23 +0100

celestia (1.5.1+dfsg1-2) unstable; urgency=low

  * Remove unused Build-Depends on gtkglarea5-dev. Closes: #516342
  * Make celestia-kde Suggest khelpcenter instead of Depending on it.
    Closes: #506794
  * Add missing includes to fix FTBFS with GCC 4.4. Closes: #504863

 -- Guus Sliepen <guus@debian.org>  Fri, 20 Feb 2009 23:56:59 +0100

celestia (1.5.1+dfsg1-1) unstable; urgency=low

  * New upstream release.
  * Remove textures and models with unclear license status from the source:
    - maps taken from http://maps.jpl.nasa.gov/
    - models of Toutatis, Kleopatra and Geographos
    Closes: #174456
  * Suggest celestia-common-nonfree package containing the above mentioned
    textures and models.
  * Revert to acinclude.m4 from celestia 1.5.0 in order to build celestia-kde.
  * Use stdint.h for architecture independent data types. Again.
    Closes: #137769

 -- Guus Sliepen <guus@debian.org>  Sat, 17 May 2008 23:09:35 +0200

celestia (1.5.0-3) unstable; urgency=low

  * Correct fix for some min()/max() uses (previous one was only working on 64
    bit architectures).

 -- Guus Sliepen <guus@debian.org>  Sat, 12 Apr 2008 20:49:11 +0200

celestia (1.5.0-2) unstable; urgency=low

  * Add missing includes and fix min()/max() usage necessary for compilation
    with GCC 4.3. Closes: #455417
  * Use the -l option when copying files to the temporary build directories.

 -- Guus Sliepen <guus@debian.org>  Sat, 12 Apr 2008 15:38:58 +0200

celestia (1.5.0-1) unstable; urgency=low

  * New upstream release.
  * Sync with Ubuntu hardy (see changelog entries below).
  * Add calls to dh_icons and dh_desktop in debian/rules.
  * Fix spelling errors in debian/control.
  * More homogenising of the desktop files.
  * Redo stamping in debian/rules:
    - rule Y doesn't depend on X-stamp but just on X
    - only provide X-stamp if rule X actually does something

 -- Guus Sliepen <guus@debian.org>  Sat, 16 Feb 2008 15:06:15 +0100

celestia (1.5.0-0ubuntu1) hardy; urgency=low

  * New upstream release. (LP: #188892)
  * debian/patches: Disabled am_edit-refresh.patch.
  * debian/control: Moved homepage out of description.

 -- Matvey Kozhev <sikon@lucidfox.org>  Thu, 14 Feb 2008 00:01:12 +0600

celestia (1.4.1+cvs20070626-3ubuntu4) hardy; urgency=low

  * Add "Replaces" line for old "celestia" package name.

 -- Kees Cook <kees@ubuntu.com>  Tue, 01 Jan 2008 20:09:33 -0800

celestia (1.4.1+cvs20070626-3ubuntu3) hardy; urgency=low

  * debian/rules: really fix "install" dep order to build -common tree first
    (LP: #176576).

 -- Kees Cook <kees@ubuntu.com>  Fri, 21 Dec 2007 13:29:02 -0800

celestia (1.4.1+cvs20070626-3ubuntu2) hardy; urgency=low

  * debian/rules: fixed "install" dep order to build -common tree first
    (LP: #176576).
  * debian/rules: fixed location of -depth argument to avoid "find" warning.
  * Add Kees Cook to the Uploaders.

 -- Guus Sliepen <guus@debian.org>  Mon, 17 Dec 2007 12:39:15 +0100

celestia (1.4.1+cvs20070626-3) unstable; urgency=low

  * Use stdint.h, like God intended. Closes: #137769, #335416
  * Remove rpath by hand.

 -- Guus Sliepen <guus@debian.org>  Thu, 30 Aug 2007 17:10:55 +0200

celestia (1.4.1+cvs20070626-2) unstable; urgency=low

  * Make sure the configure script is executable. Closes: #439566

 -- Guus Sliepen <guus@debian.org>  Sun, 26 Aug 2007 23:47:07 +0200

celestia (1.4.1+cvs20070626-1) unstable; urgency=low

  * Adopting this package. Closes: #374534
  * New upstream release. Closes: #345075
  * Use Dwayne C. Litzenberger's work on 1.4.1 packaging as a basis.
  * Move the KDE frontend to the celestia-kde package, and make the celestia
    package a dummy package that depends on any frontend, with celestia-kde as
    the first choice.
  * Use the alternatives system to let the celestia binary point to one of the
    installed frontends.
  * Rework the package descriptions:
    - Use a shorter and more to the point description, taken from the
      Wikipedia article on Celestia.
    - Add a link to the homepage.
    - Include the full description in all packages.
  * Bump standards version.
  * Rework the debian/copyright file.
  * Homogenise menu and desktop files.
  * Install more 3D models.

 -- Guus Sliepen <guus@debian.org>  Tue, 14 Aug 2007 16:10:05 +0200

celestia (1.3.2-4) unstable; urgency=low

  * QA upload.
  * Package is orphaned (#374534); set maintainer to Debian QA Group.
  * debian/changelog: Remove obsolete Emacs local variables.
  * debian/control: Add missing commas.
  * debian/watch: Add.

 -- Matej Vela <vela@debian.org>  Mon, 30 Oct 2006 12:04:52 +0100

celestia (1.3.2-3.3) unstable; urgency=low

  * NMU.
  * Drop build dependency on g++-3.4. Closes: #385828.

 -- Matthias Klose <doko@debian.org>  Sun,  3 Sep 2006 15:33:44 +0000

celestia (1.3.2-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * updated libtool/ltmain to prevent libfreetype6 from being liked, as
    suggested by Steve Langasek (Closes: #349961)
  * removed extra qualification from src/celengine/command.h:94 to fix FTBFS
    with g++-4.1 (Closes: #356881)

 -- Filippo Giunchedi <filippo@debian.org>  Sat, 22 Apr 2006 14:23:53 +0200

celestia (1.3.2-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * work around gcc-4.0 FTBFS on some architectures

 -- LaMont Jones <lamont@debian.org>  Fri, 14 Oct 2005 19:28:24 +0000

celestia (1.3.2-3) unstable; urgency=low

  * New upload to fix libqt3-mt and kdelib4 deps (closes: #326567)
  * Dependency fix: libgnomeuimm2.0-dev -> libgnomeuimm2.6-dev 
    (closes: #326716, #325208)
  * fixes some pointer casting issues for 64-bit builds
    (patch from BTS, see bug#326716)

 -- Mathias Weyland <mathias@weyland.ch>  Mon, 12 Sep 2005 12:56:16 +0200

celestia (1.3.2-2) unstable; urgency=low

  * Workaround for compilation on sparc (added --enable-libsuffix=) 
    (closes: #303860)
  * Fixed celestia.desktop for the gnome menu (closes: #311311)
  * Changed gulg3-dev dependency to freeglut3-dev

 -- Mathias Weyland <mathias@weyland.ch>  Mon,  6 Jun 2005 03:19:06 +0200

celestia (1.3.2-1) unstable; urgency=low

  * New upstream release
    - new features (closes: #228417)
    - gtk-2.0 support (closes: #268845)
    - translations (closes: #137082)
    - extrasolar.ssc has been modified (closes: #135574)
  * New Maintainer (closes: #298997)
  * Package now depends on the lua for the scripting engine
    debian/rules: adapted configure parameters to enable lua
  * Fixed broken lua includes in src/celestia/celx.(cpp|h)
  * Applied patch to compile with gcc-3.4 (closes: #270008)
  * Added versioned dependencies on celestia-common (closes: #253970)
  * More docs are included
  * Fixed selection of frontend in debian/rules
  * Added missing build dependencies for libgnomeuimm2.0-dev and
    libgtkglext1-dev
  * Corrected package descriptions (closes: #210319)
  * Removed the 'kderemove' tag from the menu (not needed anymore)
  * changed Section from kde to science

 -- Mathias Weyland <mathias@weyland.ch>  Sat,  7 May 2005 18:54:18 +0200

celestia (1.3.0-2) unstable; urgency=low

  * QA Group upload orphaning this package
  * debian/control: remove override disparities for source package and
    celestia-gnome
  * debian/celestia.menu: quoted the unquoted
  * debian/changelog: convert to UTF-8 encoding
  * debian/celestia-gnome.menu: quoted the unquoted
  * debian/celestia-glut.menu: quoted the unquoted

 -- Andrew Pollock <apollock@debian.org>  Thu,  7 Apr 2005 20:33:41 +1000

celestia (1.3.0-1) unstable; urgency=low

  * New Maintainer (closes: #170824)
  * New upstream release (closes: #193156)
  * Changed menu category to Apps/Science (closes: #180085)
  * Package reorganization:
    - celestia is now the KDE frontend
    - Gnome frontend is celestia-gnome

 -- Mika Fischer <mf@debian.org>  Thu,  24 Aug 2003 08:10:19 +0200

celestia (1.2.4-4) unstable; urgency=low

  * debian/control: s/libpng2-dev/libpng3-dev/, add version info to
    libgtk2.0-dev dependency.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Fri, 16 Aug 2002 11:18:14 +0200

celestia (1.2.4-3) unstable; urgency=low

  * src/celengine/glext.h: Since I couldn't find anything in the ld
    documentation that could help here, the horrible hacky way it goes.
    #define glFooEXT cel_glFooEXT to prevent the linker from trying to use the
    symbols of the same name found in the system's libGL if they exist.  C++
    namespaces should have worked, they didn't.  (closes: bug#149623)
  * src/celmath/vecmath.h: add checks for division by zero on alpha.
  * several files: fix errors and warnings with g++ 3.1.  It compiles here, if
    find something else I need a patch.  (closes: bug#148573)
  * src/celengine/vertexprog.cpp: fix stupid omission in previous patch.
    (closes: bug#148303, bug#146265)
  * Regarding 146265, the 3ds file for MGS is not included in the upstream
    tarball.  The vertex program issue is fixed and the model will be included
    with the next release.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 30 Jun 2002 12:38:07 +0200

celestia (1.2.4-2) unstable; urgency=low

  * debian/control: Add missing build-depends (libgnomeui-dev, gnome-common)
    (closes: bug#148401)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Thu, 30 May 2002 13:04:58 +0200

celestia (1.2.4-1) unstable; urgency=low

  * New upstream version
  * The "It took 3 months :-P" release... no real bug, though.  This
    release splits the package into celestia, celestia-common and
    celestia-glut.  The glut package contains only the GLUT interface.
    This should please the folks not wanting to install all those GNOME
    libraries.
  * configure.in: sync a lot of superfluous differences
  * **/Makefile.in: use upstream version
  * debian/control: Build-Depend on libpng-dev, libgnome2-dev,
    libgtk2.0-dev, libgtkgl2.0-dev
  * configure.in, src/celestia/gtkmain.cpp: make it work with GNOME 2
  * All the changes sent to Chris.  Hopefully we can get in sync again.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 18 May 2002 18:12:14 +0200

celestia (1.2.2-5) unstable; urgency=low

  * configure: C uses == for comparison.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Tue,  2 Apr 2002 21:54:16 +0200

celestia (1.2.2-4) unstable; urgency=low

  * src/celestia/celestiacore.cpp: you can't copy a const_iterator to an
    iterator. (closes: bug#139036)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Tue, 19 Mar 2002 22:42:09 +0100

celestia (1.2.2-3) unstable; urgency=low

  * Wow.  Three in one day :-)
  * src/celutil/basictypes.h: define int8 as 'signed char', thanks Michel.
    Really really closes: bug#137769

 -- Marcelo E. Magallon <mmagallo@debian.org>  Mon, 18 Mar 2002 15:07:14 +0100

celestia (1.2.2-2) unstable; urgency=low

  * src/celtxf/texturefont.h: s/short/signed short/, Michel, could you please
    text that this is indeed the proper fix?  Thanks.  (closes: bug#137769)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Mon, 18 Mar 2002 09:10:13 +0100

celestia (1.2.2-1) unstable; urgency=low

  * New upstream version
  * Remove debian/*.ex crap
  * License.txt, readme.txt: upstream renamed this and got included in the
    .diff accidentaly.
  * celestia.log: how did this get included in CVS?
  * debian/rules: install new texture sets
  * Thanks to Jack Howarth

 -- Marcelo E. Magallon <mmagallo@debian.org>  Mon, 18 Mar 2002 07:28:43 +0100

celestia (1.2.0-7) unstable; urgency=low

  * src/celestia/gtkmain.cpp: fix location of controls.txt and the license.
    Thanks Kevin B. McCarty (closes: bug#138664)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 17 Mar 2002 08:00:15 +0100

celestia (1.2.0-6) unstable; urgency=low

  * A celestia a day does you good...
  * src/celengine/starbrowser.cpp: change declaration of listStars to use
    a size_t parameter.  Thanks to Petter Reinholdtsen for pointing out
    the problem.  (closes: bug#135629)
  * src/celengine/stardb.cpp, src/cel3ds/3dsread.cpp: move things arround
    in the include statements in order to use the correct
    I'm-big,-nope,-I'm-litte-endian functions. Thanks to Michel Dänzer
    (closes: bug#135437)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Tue, 26 Feb 2002 07:36:53 +0100

celestia (1.2.0-5) unstable; urgency=low

  * Misc. fixes to get it to compile with gcc 3.0

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 24 Feb 2002 07:19:30 +0100

celestia (1.2.0-4) unstable; urgency=low

  * src/celengine/starbrowser.cpp: add 'using namespace std' at the top.
    Thanks to Helge Kreutzmann for pointing this out.
  * debian/rules: use DEB_BUILD_OPTIONS

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 23 Feb 2002 09:48:58 +0100

celestia (1.2.0-3) unstable; urgency=low

  * src/celengine/texture.cpp: fix wrong fix for endianness problems.
    Thanks to Petter Reinholdtsen.  Please TEST this and confirm that it
    works so I can forward a tested patch upstream (closes: bug#134856)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Fri, 22 Feb 2002 21:19:34 +0100

celestia (1.2.0-2) unstable; urgency=low

  * debian/menu: move to Apps/Math, it's ridiculous but menu policy is a bit
    short-sighted.
  * debian/docs: remove a couple of superfluous documents

 -- Marcelo E. Magallon <mmagallo@debian.org>  Tue, 19 Feb 2002 08:40:34 +0100

celestia (1.2.0-1) unstable; urgency=low

  * The "how long before someone submits the 'GNOME! evil!' bug" release
  * New upstream release, finally.
  * Modified sources to use configurable texture, font and shader directories.
  * debian/control: add libgnome-dev
  * debian/rules: --with-gnome

 -- Marcelo E. Magallon <mmagallo@debian.org>  Mon, 18 Feb 2002 22:33:29 +0100

celestia (1.1.0-3) unstable; urgency=low

  * debian/rules, debian/control: use config.guess and config.sub from
    autotools-dev (closes: bug#132916)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Mon, 18 Feb 2002 20:08:18 +0100

celestia (1.1.0-2) unstable; urgency=low

  * debian/control: Build-Depend on libgl-dev not libgl1-dev. (closes:
    bug#112863)
  * src/octree.h: fix to get it compiling with gcc 3.  Thanks James.
    (closes: bug#120525)
  * debian/control: fix typo.  Thanks Luis Alberto García (closes:
    bug#119916, bug#124491)
  * Previous upload fixed endianness problems.  Thanks Colin (closes:
    bug#113009)
  * debian/rules: install PNG files, too. (closes: bug#127373)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat,  8 Dec 2001 18:51:39 +0100

celestia (1.1.0-1) unstable; urgency=low

  * New upstream version.
  * debian/celestia.1: updated.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Mon,  4 Jun 2001 18:02:00 +0200

celestia (1.0.10-3) unstable; urgency=low

  * debian/control: add libpng2-dev to build-depends (closes: bug#98620)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Thu, 24 May 2001 23:07:22 +0200

celestia (1.0.10-2) unstable; urgency=low

  * debian/celestia.1: Real manpage!
  * Hmmm... it seems the previous upload was corrupted.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Thu, 24 May 2001 00:16:22 +0200

celestia (1.0.10-1) unstable; urgency=low

  * New upstream version.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 19 May 2001 20:54:05 +0200

celestia (1.08-1) unstable; urgency=low

  * Initial packaging

 -- Marcelo E. Magallon <mmagallo@debian.org>  Mon,  7 May 2001 22:10:07 +0200
